Package org.eclipse.emf.cdo.lm.security.provider

# Class LMSecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender

java.lang.Object
org.eclipse.emf.cdo.lm.security.provider.LMSecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender

All Implemented Interfaces:
  `IChildCreationExtender`

Enclosing class:
  LMSecurityItemProviderAdapterFactory

public static class LMSecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender extends Object implements IChildCreationExtender
A child creation extender for the `ExpressionsPackage`.

Generated

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`LMSecurityItemProviderAdapterFactory.ExpressionsChildCreationExtender.CreationSwitch`
The switch for creating child descriptors specific to each extended class.

## Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender

`IChildCreationExtender.Descriptor`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionsChildCreationExtender()`

## Method Summary

Modifier and Type
Method
Description
`Collection<Object>`
`getNewChildDescriptors(Object object, EditingDomain editingDomain)`
`ResourceLocator`
`getResourceLocator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionsChildCreationExtender

public ExpressionsChildCreationExtender()

## Method Details

### getNewChildDescriptors

public Collection<Object> getNewChildDescriptors(Object object, EditingDomain editingDomain)

Specified by:
  `getNewChildDescriptors` in interface `IChildCreationExtender`
Generated

### getResourceLocator

public ResourceLocator getResourceLocator()

Specified by:
  `getResourceLocator` in interface `IChildCreationExtender`
Generated